List meeting sessions
Returns a list of meeting sessions, optionally filtered by status.
curl --request GET \
--url https://api.telnyx.com/v2/meeting_sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/meeting_sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/meeting_sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "mtgsess_9b2f...",
"account_id": "22",
"provider": "recall",
"status": "active",
"status_detail": null,
"recording": true,
"meeting_url": "https://meet.google.com/abc-defg-hij",
"platform": "google_meet",
"bot_name": "Notetaker",
"config": {
"voice": null,
"speak_on_enter": null,
"barge_in": false,
"summarize_on_end": true
},
"avatar": null,
"avatar_state": null,
"avatar_state_changed_at": null,
"assistant": null,
"assistant_state": null,
"assistant_state_changed_at": null,
"webhook_url": null,
"metadata": {},
"failure_reason": null,
"created_at": "2026-06-16T08:58:00Z",
"join_at": null,
"joined_at": "2026-06-16T09:00:00Z",
"ended_at": null,
"updated_at": "2026-06-16T09:00:00Z"
}
]
}{
"error": {
"code": "invalid_request",
"message": "request is invalid"
}
}{
"error": {
"code": "unauthorized",
"message": "invalid or missing credentials"
}
}{
"error": {
"code": "forbidden",
"message": "credential is not permitted"
}
}{
"error": {
"code": "auth_overloaded",
"message": "authentication temporarily overloaded"
}
}{
"error": {
"code": "internal_error",
"message": "internal server error"
}
}{
"error": {
"code": "auth_unavailable",
"message": "authentication service unavailable"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter meeting sessions by current status.
Lifecycle status of the session. scheduled: waiting for join_at before the bot attempts to join. joining: the bot is connecting to the meeting. waiting_for_admission: the bot is in the lobby waiting to be admitted. active: the bot is in the meeting and capturing. leaving: the bot is exiting the meeting. ended: the bot left and the session is complete. failed: the bot could not join or the session failed. admission_denied: the host did not admit the bot.
scheduled, joining, waiting_for_admission, active, leaving, ended, failed, admission_denied Response
Successful response with a list of meeting sessions.
Show child attributes
Show child attributes
Was this page helpful?
